Subject: Re: RE: Installing cygwin gcc using sources
From: "Tim Prince" <[email-masked]>
To: <[email-masked]>, "deepak shekhar" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 30 Jun 2001 08:40:18 -0700

Why are you skipping "make bootstrap" ?  I don't know whether the
configure flags used to build cygwin are documented, but I usually
use --with-included-gettext --enable-sjlj-exceptions --enable-languages=
'c++,f77'.  David Billinghurst has been able to build objc and gcov as
well.
----- Original Message -----
From: "deepak shekhar" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, June 30, 2001 4:23 AM
Subject: Re: RE: Installing cygwin gcc using sources

>
> Hi!
> yes i did try configure.
> First i run "configure" for binutils and did "make all" and "make
install".The uitlities in the binutils get installed .Then i tried
"configure" of gcc in the same path. The configure is fine. But when i
do a "make all" it throws an error message.
>
> Is it necessary that i have install new version of cygwin.I installed
cygwin some 6 months back.
>
> thanks for responding.
> deepak
>
> ------------- Original Message --------------
> "Robert McNulty Junior" <[email-masked]> wrote:
> To:"deepak shekhar" <[email-masked]>,
> <[email-masked]>
> From:"Robert McNulty Junior" <[email-masked]>
> Date:Sat, 30 Jun 2001 05:16:52 -0500
> Subject: RE: Installing cygwin gcc using sources
>
> Did you try configure?
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of deepak shekhar
> Sent: Saturday, June 30, 2001 2:49 AM
> To: [email-masked]
> Subject: Installing cygwin gcc using sources
>
> Hi! there
>
> I have installed the cygwin on my i586-pc having windows using the
binaries
> and the "setup.exe" program.
> Now i am trying to install binutils and gcc using the sources.
> My directory structure is like this
> /home/deepak/sources - this is the directory containing the sources
for
> binuitls and gcc.
> /home/deepak/build - object directory where i'll run configure and
make.
> /home/deepak/exe - install directory.
>
> The versions of binutils is binutils-20010425-2-src.tar-gz and of gcc
is
> gcc-2.95.3-4-src.tar.gz.
>
> I have untared these packages in the sources directory.
>
> In the build directory i run the configure for binutils by giving the
> following command.
> $cd build
> $../sources/binutils-20010425-2/configure --prefix=/home/deepak/exe -v
> Then i do a make.
>  $make all && make install
> The utilities in the binutils get installed.(including the as.exe and
> ld.exe).
> Now i run configure for the gcc by the following command.
>
> $../sources/gcc-2.95.3-4/configure --prefix=/home/deepak/exe -v
>
> The configure is fine.
> Now if do a make by giving
> $make all
>

> thanks in advance
> Deepak

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/